%global _empty_manifest_terminate_build 0
Name:           python-cliff
Version:        3.7.0
Release:        1
Summary:        Command Line Interface Formulation Framework
License:        Apache-2.0
URL:            https://docs.openstack.org/cliff/latest/
Source0:        https://files.pythonhosted.org/packages/24/fd/49d46908eb2cf67e4fcd304aab2b295b8269e2fe62461fd6fb9b9a1e6e1c/cliff-3.7.0.tar.gz
BuildArch:      noarch
%description
cliff is a framework for building command line programs. It uses
entry points to provide subcommands, output formatters, and other extensions.

%package -n python3-cliff
Summary:        Command Line Interface Formulation Framework
Provides:       python-cliff
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-prettytable
BuildRequires:  python3-pyyaml
BuildRequires:  python3-cmd2
BuildRequires:  python3-pyparsing
BuildRequires:  python3-stevedore
BuildRequires:  python3-bandit
# General requires
Requires:       python3-prettytable
Requires:       python3-pyyaml
Requires:       python3-cmd2
Requires:       python3-pbr
Requires:       python3-pyparsing
Requires:       python3-stevedore
Requires:       python3-bandit
%description -n python3-cliff
cliff is a framework for building command line programs. It uses
entry points to provide subcommands, output formatters, and other extensions.

%package help
Summary:        Command Line Interface Formulation Framework
Provides:       python3-cliff-doc
%description help
cliff is a framework for building command line programs. It uses
entry points to provide subcommands, output formatters, and other extensions.

%prep
%autosetup -n cliff-3.7.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cliff -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 3.7.0-1
- Upgrade to version 3.7.0
* Sat Jan 30 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires
* Fri Nov 20 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
